Loading...
Searching...
No Matches
load_balancer_policy Struct Reference

`#include <load_balancer_policy.h>`

## Data Fields

int(* | init )(struct starpu_mpi_lb_conf *)
int(* | deinit )()
void(* | submitted_task_entry_point )()
void(* | finished_task_entry_point )()
const char * | policy_name

## Detailed Description

A load balancer consists in a collection of operations on a data representing the load of the application (in terms of computation, memory, whatever). StarPU allows several entry points for the user. The load balancer allows the user to give its load balancing methods to be used on these entry points of the runtime system.

## Field Documentation

## policy_name

const char* load_balancer_policy::policy_name

Name of the load balancing policy. The selection of the load balancer is performed through the use of the STARPU_MPI_LB=name environment variable.

The documentation for this struct was generated from the following file:

- load_balancer_policy.h